
"     ███        ▄████████  ▄█  ▀████    ▐████▀ ▄██   ▄
" ▀█████████▄   ███    ███ ███    ███▌   ████▀  ███   ██▄
"    ▀███▀▀██   ███    ███ ███▌    ███  ▐███    ███▄▄▄███
"     ███   ▀  ▄███▄▄▄▄██▀ ███▌    ▀███▄███▀    ▀▀▀▀▀▀███
"     ███     ▀▀███▀▀▀▀▀   ███▌    ████▀██▄     ▄██   ███
"     ███     ▀███████████ ███    ▐███  ▀███    ███   ███
"     ███       ███    ███ ███   ▄███     ███▄  ███   ███
"    ▄████▀     ███    ███ █▀   ████       ███▄  ▀█████▀
"               ███    ███





"  __   ___       ___  __
" / _` |__  |\ | |__  |__)  /\  |
" \__> |___ | \| |___ |  \ /~~\ |___


set nocompatible

set showmatch
set hlsearch
set incsearch
set tabstop=16

set softtabstop=4
set shiftwidth=4
set autoindent
set number relativenumber
set wildmode=longest,list
" set cc=80



filetype off
let &runtimepath.=',~/.vim/bundle/neoterm'
filetype plugin on
filetype plugin indent on
syntax on


set mouse=v
set mouse=a
set clipboard=unnamedplus
set ttyfast
set cursorline
set splitbelow

set undofile
set autochdir

set signcolumn=yes:1







"  __             __          __
" |__) |    |  | / _` | |\ | /__`
" |    |___ \__/ \__> | | \| .__/

lua require('init')




"  __          __   __   ___ ___  __
" /__` |\ | | |__) |__) |__   |  /__`
" .__/ | \| | |    |    |___  |  .__/


let g:UltiSnipsExpandTrigger="<tab>"
let g:UltiSnipsJumpForwardTrigger="jk"
let g:UltiSnipsJumpBackwardTrigger="kj"

let g:UltiSnipsSnippetDirectories = [$HOME.'/.config/nvim/UltiSnips']
let g:UltiSnipsEditSplit = 'context'







"  __   __        __   __   __   __        ___        ___
" /  ` /  \ |    /  \ |__) /__` /  ` |__| |__   |\/| |__
" \__, \__/ |___ \__/ |  \ .__/ \__, |  | |___  |  | |___



set termguicolors
set background=dark

let g:onedark_config = {
    \ 'style': 'darker',
\}
colorscheme onedark






"       ___      __          __   __
" |__/ |__  \ / |__) | |\ | |  \ /__`
" |  \ |___  |  |__) | | \| |__/ .__/




let mapleader=" "

nnoremap <leader>tw <cmd>lua MiniTrailspace.trim()<CR>
nnoremap <leader>ff <cmd>Telescope find_files<CR>
nnoremap <leader>fm <cmd>NERDTree<CR>
nnoremap <leader>fc <cmd>NERDTreeClose<CR>
nnoremap <leader>tt <cmd>12 split <CR><cmd>Tnew<CR>
nnoremap <leader>sc <cmd>TSEnable highlight<CR>

nnoremap <leader>zt <cmd>Twilight<CR>
nnoremap <leader>zz <cmd>ZenMode<CR>


nnoremap <leader>v :vsplit ~/.config/nvim/init.vim<CR>
nnoremap <leader>V :source ~/.config/nvim/init.vim<CR>

" nnoremap <leader>s :UltiSnipsEdit<CR>
" nnoremap <leader>S :call UltiSnips#RefreshSnippets() <CR>

map <silent> w <Plug>CamelCaseMotion_w
map <silent> b <Plug>CamelCaseMotion_b
map <silent> e <Plug>CamelCaseMotion_e
map <silent> ge <Plug>CamelCaseMotion_ge
sunmap w
sunmap b
sunmap e
sunmap ge







